Subject: Bug#899: [X2Go-Dev] EPEL 6 8 Jul 2015 release has dependency error

From: Mihai Moldovan <[email-masked]>
Date: Wed, 1 Jul 2015 01:37:03 +0200

On 30.06.2015 10:23 PM, Harris, Peter A wrote:
> When I try to yum install x2goserver on RHEL 6.6 from epel/6/x86_64, I get a dependency error for libXcompshad.so.3 required by nxagent.

This is odd.

> Downloading the package directly from http://packages.x2go.org/epel/6/main/x86_64/rpms/nx-libs/libXcompshad3-3.5.0.31-0.0x2go1.1.git20150608.671.main.el6.x86_64.rpm and using yum to install just the one RPM returns the error "Nothing to do".

This means it's already installed, check with rpm -qa | grep Xcompshad

> See attachments for:
> 	x2go.repo

Looks good.

> 	Output of "yum install x2goserver"

Doesn't look good.

What does rpm -ql libXcompshad3 output? It should be listing
/usr/lib64/libXcompshad.so.3 - the library nxagent is depending on.

I also unpacked the libXcompshad3 package manually to make sure that the library
is bundled in there - both the library and its symlink are part of the RPM file.

Mihai